/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include <qfiledialog.h> 
#include <iostream.h>
#include <qmessagebox.h> 
#include <stdio.h>
#include <string.h>
#include <qeventloop.h> 
#include <qfiledialog.h> 
#include <qtextstream.h> 
#include <qfile.h>
#include <qftp.h> 
#include <qprogressdialog.h>
#include <qdir.h> 


//Version du logiciel
QString version="0.34 BETA";

 bool formMain::copieDeFichier(QString source,QString destination)
   {
      
       QFile sourceFile(source);
       QFile destinationFile(destination);

       if(sourceFile.open(IO_ReadOnly) && destinationFile.open(IO_WriteOnly))
       {
	   lblStatut->setText("Copia iniciada");
	   uint dataLength = 4096;
	   char *data = new char[dataLength];
	   ulong completed = 0;
	   ulong compteur=0;
	   QString octet;
	   long tailleSource=sourceFile.size()/4096;
	   int ratio = 0;
	   QMessageBox::information(this,"Fuente",("Tamaño del fichero a copiar :<br>"+octet.setNum(tailleSource)));
	   lblTailleCopie->setText("En :<br>"+octet.setNum(tailleSource));
	   while(!sourceFile.atEnd())
	   {
	       completed += sourceFile.readBlock(data, dataLength);
	       destinationFile.writeBlock(data, dataLength);
	       compteur++;
	       
	       lblStatut->setText("Bloque :"+octet.setNum(compteur));
	        a->eventLoop()->processEvents(QEventLoop::AllEvents); 
	   }
	     sourceFile.close();
	   destinationFile.close();
	  delete[] data;
	    lblStatut->setText("Copia realizada");
	  return true;
	   
       }
       else
       {
	  return false;
       }
   }
   

void formMain::parcourSrc()
{
    QString nomSrc = QFileDialog::getOpenFileName(
	     dirOpenSave,
                    "Fichero ISO (*.iso)",
                    this,
                    "diálogo de abrir fichero",
                    "Elige la ISO que quieras comprimir" );
    leSrc->setText(nomSrc);
    QString fichierDest=nomSrc.section(".iso",0,0);
    
    if(cbCompressType->currentText()=="CSO")
    {
	fichierDest+=".cso";
	leDest->setText(fichierDest);
    }
     if(cbCompressType->currentText()=="DAX")
    {
	 fichierDest+=".dax";
	leDest->setText(fichierDest);
     }
 }

void formMain::parcourDest()
{
    if(cbCompressType->currentText()=="CSO")
    {
	QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero CSO (*.cso)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino del fichero CSO a guardar" );
	leDest->setText(nomDest);
    }
    if(cbCompressType->currentText()=="DAX")
    {
		QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero DAX (*.dax)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino del fichero DAX a guardar" );
	leDest->setText(nomDest);
    }
    
}


void formMain::compress()
{
     if(cbCompressType->currentText()=="CSO")
    {
    QString nomSrc=leSrc->text();
    QString nomDest=leDest->text();
    QString tauxCompress=cbCompressLevel->currentText();
    QString chaine = "ciso "+tauxCompress+" \""+nomSrc+"\" \""+nomDest+"\"";
    int reponse=QMessageBox::question ( this,"¿Compresión?","¿Estás seguro de que quieres convertir tu ISO a CSO?",QMessageBox::Yes,QMessageBox::No,0);
      if(reponse==QMessageBox::Yes)
      {
	  system(chaine);
	  QFile fSrc(nomSrc);
	  QFile fDest(nomDest);
	  QString octet;
	  QString octet2;
                int tailleSource=(int)(fSrc.size()/1000000);
	   int tailleDest=(int)(fDest.size()/1000000);
	  QString CompressStatus="Compresión CSO realizada\n Tamaño del fichero ISO original:"+octet.setNum(tailleSource)+" MB\n Tamaño del fichero CSO :"+octet2.setNum(tailleDest)+" MB";
	  QMessageBox::information ( this, "Compresión CSO realizada.................. ",CompressStatus,QMessageBox::Ok,0,0);
      }
      if(reponse==QMessageBox::No)
      {
	  QMessageBox::information ( this, "Compresión CSO cancelada","Has cancelado la compresión CSO",QMessageBox::Ok,0,0);
      }
    
    }
     
     
      if(cbCompressType->currentText()=="DAX")
    {
	   QString nomSrc=leSrc->text();
	   QString nomDest=leDest->text();
	   QString tauxCompress=cbCompressLevel->currentText();
	   
	   //V�ification des check box et creation des parametres ad�uat
	   QString NCSize=0;
	   if(cbNC->isOn()==true)
	   {
	     NCSize=leTailleNC->text();
	       
	       QString chaine= "daxcr -a"+NCSize+" -l"+tauxCompress;
	      if(cbVnc->isOn()==true)chaine+=" -v";
	      if(cbAnc->isOn()==true)chaine+=" -s";
	      chaine+=" -w";
	      chaine+=" \""+nomSrc+"\" \""+nomDest+"\"";
	     int reponse=QMessageBox::question ( this,"¿Compresión?","¿Estás seguro de que quieres convertir la ISO a fichero DAX con área NC?",QMessageBox::Yes,QMessageBox::No,0);
	      if(reponse==QMessageBox::Yes)
	      {
		  system(chaine);
		 QFile fSrc(nomSrc);
	  QFile fDest(nomDest);
	  QString octet;
	  QString octet2;
                int tailleSource=(int)(fSrc.size()/1000000);
	   int tailleDest=(int)(fDest.size()/1000000);
	  QString CompressStatus="Compresión DAX realizada\n Tamaño del fichero ISO origial:"+octet.setNum(tailleSource)+" MB\n Tamaño del fichero DAX :"+octet2.setNum(tailleDest)+" MB";
	  QMessageBox::information ( this, "Compresión DAX realizada.................. ",CompressStatus,QMessageBox::Ok,0,0);
	      }
	      if(reponse==QMessageBox::No)
	      {
		  QMessageBox::information ( this, "Compresión DAX cancelada","Has cancelado la compresión DAX",QMessageBox::Ok,0,0);
	      }
	      
	   }
	   else
	   {
	        QString chaine = "daxcr -l"+tauxCompress+" \""+nomSrc+"\" \""+nomDest+"\"";
	         system(chaine);  
	    }
      }
      
      if(isoSuppression->isOn())
      {
	   QFile::remove(leSrc->text());
       }
         if(closeProgram->isOn())
       {
	   QApplication::exit( 0 );
       }
      bCopie->setEnabled(true);
     
  }


void formMain::degriserNCAVOption()
{
    if( cbNC->isOn()==true)
    {
	cbVnc->setEnabled(true);
	cbAnc->setEnabled(true);
    }
      if( cbNC->isOn()==false)
    {
	cbVnc->setEnabled(false);
	cbAnc->setEnabled(false);
    }
}




void formMain::degriserNCOption()
{
    if(cbCompressType->currentText()=="DAX")
    {
	 gbOptionDax->setEnabled(true);
	 cbNC->setEnabled(true);
	 leTailleNC->setEnabled(true);
     }
     if(cbCompressType->currentText()=="CSO")
    {
	 gbOptionDax->setEnabled(false);
     }
}


void formMain::decompressMethod()
{
    int currentItemDecompress=cbDecompWay->currentItem ();
    if(currentItemDecompress==0)
    {
	sdecompressMethod="CSO/ISO";
	lblFileDecompSrc->setText("Fichero CSO que quieres descomprimir");
	lblFileDecompDst->setText("Fichero ISO cuando la descompresión esté bien");
	ldlDecompressLevel->setEnabled(false);
	cbDecompressLevel->setEnabled(false);
	
    }
    else if(currentItemDecompress==1)
    {
	sdecompressMethod="DAX/ISO";
	lblFileDecompSrc->setText("Fichero DAX que quieres descomprimir");
	lblFileDecompDst->setText("Fichero ISO cuando la descompresión esté bien");
	ldlDecompressLevel->setEnabled(false);
	cbDecompressLevel->setEnabled(false);
    }
    else if(currentItemDecompress==2)
    {
	sdecompressMethod="CSO/DAX";
	lblFileDecompSrc->setText("Fichero CSO que quieres descomprimir");
	lblFileDecompDst->setText("Fichero DAX cuando la descompresión y recompresión estén bien");
	ldlDecompressLevel->setEnabled(true);
	cbDecompressLevel->setEnabled(true);
    }
    else if(currentItemDecompress==3)
    {
	sdecompressMethod="DAX/CSO";
	lblFileDecompSrc->setText("Fichero DAX que quieres descomprimir");
	lblFileDecompDst->setText("Fichero CSO cuando la descompresión y recompresión estén bien");
	ldlDecompressLevel->setEnabled(true);
	cbDecompressLevel->setEnabled(true);
    }
    pDecompress->setEnabled(true);
    lblFileDecompSrc->setEnabled(true);
    lblFileDecompDst->setEnabled(true);
    leSrcDecomp->setEnabled(true);
    pbBrowseDecompSrc->setEnabled(true);
    leDstDecomp->setEnabled(true);
    pbBrowseDecompDst->setEnabled(true);
	    
	    
}


void formMain::parcourSrcDecompress()
{
    
    if(sdecompressMethod=="CSO/ISO")
    {
	QString nomSrc = QFileDialog::getOpenFileName(
	     dirOpenSave,
                    "Fichero CSO a descomprimir (*.cso)",
                    this,
                    "diálogo de abrir fichero",
                    "Elige el fichero que quieres descomprimir" );
             leSrcDecomp->setText(nomSrc);
	QString fichierDest=nomSrc.section(".cso",0,0);
	fichierDest+=".iso";
             leDstDecomp->setText(fichierDest);
    }
    else if(sdecompressMethod=="DAX/ISO")
    {
	QString nomSrc = QFileDialog::getOpenFileName(
	     dirOpenSave,
                    "Fichero DAX a descomprimir (*.dax)",
                    this,
                    "diálogo de abrir fichero",
                    "Elige el fichero que quieras descomprimir" );
             leSrcDecomp->setText(nomSrc);
	QString fichierDest=nomSrc.section(".dax",0,0);
	fichierDest+=".iso";
             leDstDecomp->setText(fichierDest);
    }
    else if(sdecompressMethod=="CSO/DAX")
    {
	QString nomSrc = QFileDialog::getOpenFileName(
	     dirOpenSave,
                    "Fichero DAX a descomprimir (*.cso)",
                    this,
                    "diálogo de abrir fichero",
                    "Elige el fichero que quieras descomprimir" );
             leSrcDecomp->setText(nomSrc);
	QString fichierDest=nomSrc.section(".cso",0,0);
	fichierDest+=".dax";
             leDstDecomp->setText(fichierDest);
    }
    else if(sdecompressMethod=="DAX/CSO")
    {
	QString nomSrc = QFileDialog::getOpenFileName(
	     dirOpenSave,
                    "Fichero DAX a descomprimir (*.dax)",
                    this,
                    "diálogo de abrir fichero",
                    "Elige el fichero que quieras descomprimir" );
             leSrcDecomp->setText(nomSrc);
	QString fichierDest=nomSrc.section(".dax",0,0);
	fichierDest+=".cso";
             leDstDecomp->setText(fichierDest);
    }
    
}


void formMain::parcourDstDecompress()
{
     if(sdecompressMethod=="CSO/ISO")
    {
	 QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero ISO (*.iso)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino donde quieres guardar el fichero ISO" );
	leDstDecomp->setText(nomDest);
	 
     }
    else if(sdecompressMethod=="DAX/ISO")
    {
	 QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero ISO (*.iso)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino donde quieres guardar el fichero ISO" );
	leDstDecomp->setText(nomDest);
	   
     }
    else if(sdecompressMethod=="CSO/DAX")
    {
	 QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero DAX (*.dax)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino donde quieres guardar el fichero DAX" );
	leDstDecomp->setText(nomDest);
	    
    }
    else if(sdecompressMethod=="DAX/CSO")
    {
	 QString nomDest= QFileDialog::getSaveFileName(
	     leDest->text(),
                    "Fichero CSO (*.cso)",
                    this,
                    "diálogo de guardar fichero",
                    "Elige el destino donde quieres guardar el fichero CSO" );
	leDstDecomp->setText(nomDest);
    }

}


void formMain::decompress()
{
      if(sdecompressMethod=="CSO/ISO")
    {
	    QString nomSrc=leSrcDecomp->text();
                 QString nomDest=leDstDecomp->text();
                
	    QString chaine = "ciso 0"" \""+nomSrc+"\" \""+nomDest+"\"";
                  int reponse=QMessageBox::question ( this,"¿Descompresión?","¿Estás seguro de que quieres convertir tu CSO a ISO?",QMessageBox::Yes,QMessageBox::No,0);
                  if(reponse==QMessageBox::Yes)
                 {
	            system(chaine);
	            QMessageBox::information ( this, "Descompresiń CSO realizada ","La descompresión CSO ha sido realizada correctamente",QMessageBox::Ok,0,0);
                  }
                   if(reponse==QMessageBox::No)
                  {
               	  QMessageBox::information ( this, "Descompresión CSO cancelada","Has cancelado la descompresión CSO",QMessageBox::Ok,0,0);
                  }
    } 
				      
	  
     
    else if(sdecompressMethod=="DAX/ISO")
    {
	QString nomSrc=leSrcDecomp->text();
                 QString nomDest=leDstDecomp->text();
                
	    QString chaine = "daxcr -d"" \""+nomSrc+"\" \""+nomDest+"\"";
                  int reponse=QMessageBox::question ( this,"¿Descompresión?","¿Estás seguro de que quieres convertir tu DAX a ISO?",QMessageBox::Yes,QMessageBox::No,0);
                  if(reponse==QMessageBox::Yes)
                 {
	            system(chaine);
	            QMessageBox::information ( this, "Descompresiń DAX realizada ","La descompresión DAX ha sido realizada correctamente",QMessageBox::Ok,0,0);
                  }
                   if(reponse==QMessageBox::No)
                  {
               	  QMessageBox::information ( this, "Descompresión CSO cancelada","Has cancelado la descompresión CSO",QMessageBox::Ok,0,0);
                  }
	   
     }
    else if(sdecompressMethod=="CSO/DAX")
    {
	    QString nomSrc=leSrcDecomp->text();
	    QString fichierDest=nomSrc.section(".cso",0,0);
	     fichierDest+=".isotemp";
                 QString nomDest=leDstDecomp->text();
                 QString chaine1 = "ciso 0"" \""+nomSrc+"\" \""+ fichierDest+"\"";
                 QString scompressLevel=cbDecompressLevel->currentText();
                 QString chaine2 = "daxcr -l"+scompressLevel+" \""+ fichierDest+"\" \""+nomDest+"\"";
                
                  int reponse=QMessageBox::question ( this,"¿Descompresión?","¿Estás seguro de que quieres convertir tu CSO a DAX?",QMessageBox::Yes,QMessageBox::No,0);
                  if(reponse==QMessageBox::Yes)
                 {
	            system(chaine1);
	            QMessageBox::information ( this, "Descompresiń CSO realizada ","La descompresión CSO ha sido realizada correctamente<br> Ahora la compresión DAX comienzará",QMessageBox::Ok,0,0);
		    system(chaine2);
		    QMessageBox::information ( this, "La descompresión CSO-> DAX realizada ","La descompresión de CSO a DAX ha sido realizada correctamente",QMessageBox::Ok,0,0);
		 QFile supFichier( fichierDest);
		bool sup= supFichier.remove();

		   
                  }
                   if(reponse==QMessageBox::No)
                  {
               	  QMessageBox::information ( this, "Descompresión CSO cancelada","Has cancelado la descompresión CSO",QMessageBox::Ok,0,0);
                  }
    }
    else if(sdecompressMethod=="DAX/CSO")
    {
	 QString nomSrc=leSrcDecomp->text();
	    QString fichierDest=nomSrc.section(".dax",0,0);
	     fichierDest+=".isotemp";
                 QString nomDest=leDstDecomp->text();
                 QString chaine1 = "daxcr -d"" \""+nomSrc+"\" \""+ fichierDest+"\"";
                 QString scompressLevel=cbDecompressLevel->currentText();
	    QString chaine2 = "ciso "+scompressLevel+" \""+ fichierDest+"\" \""+nomDest+"\"";
                 
                
                  int reponse=QMessageBox::question ( this,"¿Descompresión?","¿Estás seguro de que quieres convertir tu DAX a CSO?",QMessageBox::Yes,QMessageBox::No,0);
                  if(reponse==QMessageBox::Yes)
                 {
	            system(chaine1);
	            QMessageBox::information ( this, "Descompresiń DAX realizada ","La descompresión DAX ha sido realizada correctamente<br> Ahora la compresión CSO comienzará",QMessageBox::Ok,0,0);
		    system(chaine2);
		    QMessageBox::information ( this, "La descompresión DAX-> CSO realizada ","La descompresión de DAX a CSO ha sido realizada correctamente",QMessageBox::Ok,0,0);
		 QFile supFichier( fichierDest);
		bool sup= supFichier.remove();

		   
                  }
                   if(reponse==QMessageBox::No)
                  {
               	  QMessageBox::information ( this, "Descompresión DAX cancelada","Has cancelado la descompresión DAX",QMessageBox::Ok,0,0);
                  }
	
    }

}








void formMain::copieFichierCompress()
{
    //Comptage du nombre de caractere \ dans la box leDest
    QString fichierDest;
    QString fichierCopie;
    int nbDeSeparateur=0;
    fichierDest=leDest->text();
    nbDeSeparateur= fichierDest.contains("/");
    if(nbDeSeparateur!=0)
    {
	fichierCopie=bDriveLetter->currentText();
	fichierCopie+="ISO/";
	fichierCopie+= fichierDest.section("/",nbDeSeparateur,nbDeSeparateur);
	int reponse= QMessageBox::question ( this, "Destino donde copiar el fichero ISO",fichierCopie,QMessageBox::Yes,QMessageBox::No,0);
	if(reponse==QMessageBox::Yes)
	{
	  bool decomp=copieDeFichier (fichierDest, fichierCopie);
		if(decomp==true)
		{
		     QMessageBox::warning ( this, " Fichero copiado","La copia del fichero ha sido realizada correctamente",QMessageBox::Ok,0,0);   
		}
		else
		{
		   QMessageBox::warning ( this, "Problema","Error mientras se copiaba<br>Asegúrate de que tienes suficiente espacio en la memory stick y de que la PSP está conectada al ordenador",QMessageBox::Ok,0,0);
	       }
	    
	}
	else
	{
	      QMessageBox::warning ( this, "Problema","Error mientras se copiaba<br>Asegúrate de que tienes suficiente espacio en la memory stick y de que la PSP está conectada al ordenador",QMessageBox::Ok,0,0); 
	}
    }
    else if(nbDeSeparateur==0)
    {
	nbDeSeparateur= fichierDest.contains("\\");
	  fichierCopie=bDriveLetter->currentText();
	    fichierCopie=fichierCopie.replace(2,1,"\\");
	    fichierCopie+="ISO\\";
	    fichierCopie+= fichierDest.section("\\",nbDeSeparateur,nbDeSeparateur);
	    int reponse= QMessageBox::question ( this, "Destino donde copiar el fichero ISO",fichierCopie,QMessageBox::Yes,QMessageBox::No,0);
	    if(reponse==QMessageBox::Yes)
	{
		bool decomp=copieDeFichier  (fichierDest, fichierCopie);
		if(decomp==true)
		{
		     QMessageBox::warning ( this," Fichero copiado","La copia del fichero ha sido realizada correctamente",QMessageBox::Ok,0,0);   
		}
		else
		{
		   QMessageBox::warning ( this, "Problema","Error mientras se copiaba<br>Asegúrate de que tienes suficiente espacio en la memory stick y de que la PSP está conectada al ordenador",QMessageBox::Ok,0,0);
		}
	}
	else
	{
	  
	}
    }
   
}




void formMain::parcourDirISO()
{
    QString dirSelectionner;
    dirSelectionner=QFileDialog::getExistingDirectory(
                    "",
                    this,
                    "obtener directorio que exista",
                    "Elige un destino",
                    TRUE );
    leSaveFolder->setText(dirSelectionner);
    dirOpenSave=dirSelectionner;    
}


void formMain::savOption()
{
    // R�up�ation des diff�ents elements saisie par la personne
    indexDriveLetter=bDriveLetter_2->currentItem();
    bDriveLetter->setCurrentItem(indexDriveLetter);
    dirOpenSave=leSaveFolder->text();
    
    QFile fichierOption("option.txt");
    fichierOption.remove();
   if( fichierOption.open(IO_WriteOnly))
    {
       
       QString convert;
    QTextStream aEnregistrer(&fichierOption);
    aEnregistrer << "CSO-DAX COMPRESSOR" << "\n";
    aEnregistrer << version << "\n";
    aEnregistrer << dirOpenSave << "\n";
    aEnregistrer << convert.setNum(bDriveLetter_2->currentItem()) << "\n";
        aEnregistrer << cbStyle->currentItem() << "\n";
     fichierOption.close();
}
   else
   {
       QMessageBox::warning ( this, "Error creando fichero","Fallo al crear un fichero de opciones, asegúrate de que tienes permisos de escritura en este directorio",QMessageBox::Ok,0,0);   
   }
   
    
    
}


void formMain::setDefaultOption()
{
        bDriveLetter_2->setCurrentItem(0);
	bDriveLetter->setCurrentItem(0);
	leSaveFolder->setText("/home");
	dirOpenSave="/home";
	cbStyle->setCurrentItem(0);
}


void formMain::verifUpdate()
{
 
}      
    











void formMain::choixDossierCompress()
{
      QString dirSelectionner;
    dirSelectionner=QFileDialog::getExistingDirectory(
                    "",
                    this,
                    "obtener un directorio que exista",
                    "Elige un directorio",
                    TRUE );
    leSrc_2->setText(dirSelectionner);
}


void formMain::CompressFolder()
{
    QDir dirISO( leSrc_2->text());
    uint nbOfFile=dirISO.count();
    QString nbOfFilestr;
    QString nbOfFileISOstr;
    QString* listeDesFichiersACompresser;
    int compteurFichierCompresser=0;
    //QMessageBox::information(this,"Nombre del fichero ISO",("Nb de fichero en el fichero:"+nbOfFilestr.setNum(nbOfFile)),QMessageBox::Ok,0,0);
     for(uint i=0;i<nbOfFile;i++)
    {
	 if(dirISO[i] !="." && dirISO[i] !=".." && (dirISO[i].contains(".ISO") || dirISO[i].contains(".iso")))
	 {
	     //QMessageBox::information(this,"Fichero ISO",dirISO[i],QMessageBox::Ok,0,0);
	     compteurFichierCompresser++;
	 }
    }
    listeDesFichiersACompresser= new QString [ compteurFichierCompresser];
    compteurFichierCompresser=0;
    for(uint i=0;i<nbOfFile;i++)
    {
	 if(dirISO[i] !="." && dirISO[i] !=".." && (dirISO[i].contains(".ISO") || dirISO[i].contains(".iso")))
	 {
	     //QMessageBox::information(this,"Fichero ISO",dirISO[i],QMessageBox::Ok,0,0);
	     listeDesFichiersACompresser[compteurFichierCompresser]=dirISO[i];
	       compteurFichierCompresser++;
	 }
    }
    QString aAfficheListe="Fichero a comprimir :"+nbOfFileISOstr.setNum(compteurFichierCompresser)+"\n Lista de ficheros ISO a comprimir :\n";
    for(int i=0;i<compteurFichierCompresser;i++)aAfficheListe+= listeDesFichiersACompresser[i]+"\n";
    QMessageBox::information(this,"Fichero ISO a comprimir",aAfficheListe,QMessageBox::Ok,0,0);
    
    for(int i=0;i<nbOfFile;i++)
    {
	 if(dirISO[i] !="." && dirISO[i] !=".." && (dirISO[i].contains(".ISO") || dirISO[i].contains(".iso")))
	 {
	      QString fichierDest=dirISO[i].section(".iso",0,0);
	        if(cbCompressType_2->currentText()=="CSO")
	       {
		    fichierDest+=".cso";
                    }
	       if(cbCompressType_2->currentText()=="DAX")
	       {
		    fichierDest+=".dax";
	       }
	       
	       
	       
	       //Compression au format CSO avec un dossier
	        if(cbCompressType_2->currentText()=="CSO")
                     {
		    QString nomSrc= leSrc_2->text()+"/"+dirISO[i];
		    QString nomDest= leSrc_2->text()+"/"+ fichierDest;
		    QString tauxCompress=cbCompressLevel_2->currentText();
		    QString chaine = "ciso "+tauxCompress+" \""+nomSrc+"\" \""+nomDest+"\"";
		  int   reponse=QMessageBox::Yes;
		    if(reponse==QMessageBox::Yes)
		    {
			system(chaine);
			QFile fSrc(nomSrc);
			QFile fDest(nomDest);
			QString octet;
			QString octet2;
			int tailleSource=(int)(fSrc.size()/1000000);
			int tailleDest=(int)(fDest.size()/1000000);
			//QString CompressStatus="La compresión ha terminado\n Tamaño del fichero ISO :"+octet.setNum(tailleSource)+" Mo\n Tamaño del fichero CSO :"+octet2.setNum(tailleDest)+" MB";
			//QMessageBox::information ( this, "Compresión CSO terminó................. ",CompressStatus,QMessageBox::Ok,0,0);
		    }
		    if(reponse==QMessageBox::No)
		    {
			//QMessageBox::information ( this, "Compresión CSO cancelada,"Has cancelado la compresión CSO",QMessageBox::Ok,0,0);
		    }
		    
                     }
		
	        //Compression au format DAX avec un dossier
		if(cbCompressType->currentText()=="DAX")
		{
		    QString nomSrc= leSrc_2->text()+"/"+dirISO[i];
		    QString nomDest= leSrc_2->text()+"/"+ fichierDest;
		    QString tauxCompress=cbCompressLevel_2->currentText();
		    //V�ification des check box et creation des parametres ad�uat
		    QString NCSize=0;
		    if(cbNC_2->isOn()==true)
		    {
			NCSize=leTailleNC_2->text();
			
			QString chaine= "daxcr -a"+NCSize+" -l"+tauxCompress;
			if(cbVnc_2->isOn()==true)chaine+=" -v";
			if(cbAnc_2->isOn()==true)chaine+=" -s";
			chaine+=" -w";
			chaine+=" \""+nomSrc+"\" \""+nomDest+"\"";
			int reponse=QMessageBox::Yes;
			if(reponse==QMessageBox::Yes)
			{
			    system(chaine);
			    QFile fSrc(nomSrc);
			    QFile fDest(nomDest);
			    QString octet;
			    QString octet2;
			    int tailleSource=(int)(fSrc.size()/1000000);
			    int tailleDest=(int)(fDest.size()/1000000);
			    //QString CompressStatus="La compresión DAX ha terminado\n Tamaño del fichero ISO :"+octet.setNum(tailleSource)+" MB\n Tamaño del fichero DAX :"+octet2.setNum(tailleDest)+" MB";
			    //QMessageBox::information ( this, "Compresión DAX terminó................. ",CompressStatus,QMessageBox::Ok,0,0);
			}
			if(reponse==QMessageBox::No)
			{
			    QMessageBox::information ( this, "Compresión DAX cancelada","Has cancelado la compresión DAX",QMessageBox::Ok,0,0);
			}
			
		    }
		    else
		    {
			QString chaine = "daxcr -l"+tauxCompress+" \""+nomSrc+"\" \""+nomDest+"\"";
			system(chaine);  
		    }
                       }
		
	       
	       
	 }
     }
       QMessageBox::information ( this, "Descompresiń DAX realizada","Todos los fichero ISO han sido comprimidos correctamente",QMessageBox::Ok,0,0);
       if(isoSuppression_2->isOn())
      {
	   QFile::remove(leSrc->text());
       }
       if(closeProgram_2->isOn())
       {
	   QApplication::exit( 0 );
       }
      
	
    
      
}


void formMain::choixCompressTypeFolder()
{
	
}


void formMain::degriserNCAVOptionFolder()
{
     if( cbNC_2->isOn()==true)
    {
	cbVnc_2->setEnabled(true);
	cbAnc_2->setEnabled(true);
    }
      if( cbNC_2->isOn()==false)
    {
	cbVnc_2->setEnabled(false);
	cbAnc_2->setEnabled(false);
    }
}


void formMain::degriserNCOptionFolder()
{
     if(cbCompressType_2->currentText()=="DAX")
    {
	 gbOptionDax_2->setEnabled(true);
	 cbNC_2->setEnabled(true);
	 leTailleNC_2->setEnabled(true);
     }
     if(cbCompressType_2->currentText()=="CSO")
    {
	 gbOptionDax_2->setEnabled(false);
     }
}
